%define module NotificationBubble

Summary:	Perl module interface to the EggNotificationBubble library
Name:		perl-Gtk2-%module
Version:	0.01
Release:	%mkrel 16
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source:		Gtk2-%module-%version.tar.bz2
Patch0:		Gtk2-NotificationBubble-0.01-triangle.patch
URL:		http://cvs.gnome.org/viewcvs/rhythmbox/widgets/eggnotificationbubble.c

BuildRequires:	gtk+2-devel perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib >= 0.92
BuildRequires:	perl-Gtk2
Requires:	gtk+2 perl-Gtk2 >= 0.95-6mdk

%description
This module allows a Perl developer to display notification bubbles on
top of Gtk2 widgets. They look like tooltips with bevelled borders and
arrows. They can display an icon and a bold header.

%prep
%setup -q -n Gtk2-%module-%version
%patch0 -p1 -b .triangle

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*


%changelog

* Fri Jan 18 2013 fwang <fwang> 0.01-16.mga3
+ Revision: 389340
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-15.mga3
+ Revision: 367895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.01-14.mga3
+ Revision: 250733
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.01-13.mga2
+ Revision: 135825
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.01-12.mga2
+ Revision: 104636
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.01-11.mga1
+ Revision: 36327
- mageia rebuild
- imported package perl-Gtk2-NotificationBubble
- imported package perl-Gtk2-NotificationBubble

